Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#1Messageil y a 1 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée
  • Certains de nos Noyaux sont mis à jour
  • KDE Frameworks est maintenant à 5.95.0 25
  • Cinnamon 5.4 11 a été ajouté
  • Il y avait une mise à jour de Qt5 qui a besoin de quelques reconstructions. Signaler si vous rentrez un problème .
  • Gstreamer est actualisé vers la version 1.20.3 2
  • Haskell et Python ont reçu les mises à jour régulières


N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman -Syu
ou encore

sudo pamac update
-------------------------------------------------------------------------------------


Noyaux pris en charge :
  • linux419 4.19.248
  • linux54 5.4.200
  • linux510 5.10.124
  • linux515 5.15.49
  • linux517 5.17.15 (EOL) En fin de vie
  • linux518 5.18.6
  • linux519 5.19-rc3 (expérimental)
  • linux515-rt 5.15.44_rt46
  • linux518-rt 5.18.0_rt11
Les changements en détail :
  • community x86_64: 1551 nouveaux et 1535 paquets retirés
  • core x86_64: 30 nouveaux et 30 paquets retirés
  • extra x86_64: 486 nouveaux et 484 paquets retirés
  • kde-unstable x86_64: 240 nouveaux et 240 paquets retirés
  • multilib x86_64: 36 nouveaux et 36 paquets retirés
Une liste détaillée des changements est disponible ici

-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
Problèmes liés à la synchronisation des miroirs

pacman-mirrors || sudo pacman-mirrors --continent; sudo pacman -Syu
Cette commande pacman-mirrorsva analyser le status des miroirs; si OK=> Synchronisation et Mise à jour.
Si KO, pacman-mirrors --continent synchronisera les miroirs les plus proches de votre situation géographique.
Attention si vous utilisez un vpn, dans ce cas, l'option -f0 sera plus appropriée. Ensuite la Mise à jour se lancera normalement.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés

Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.

-------------------------------------------------------------------------------------

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#2Messageil y a 1 mois

maj sous kde. 1g29 ,tous c est bien passer :bien:bien au top manjaro ( installation de kde manjaro il y a ,1 ans rien a bouger distrib franchement super et si il y a un problème mr timeshift :clap:clap )

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#3Messageil y a 1 mois

Ben Stef3.0 a tout dit tout comme il faut, alors... :cool:

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#4Messageil y a 1 mois

RAS chez moi aussi. :bien

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#5Messageil y a 1 mois

mise a jour effectué sur le macpro
+300 packages env 1Go
Ras ( avec un noyau 5.18 )

sur le test régulier de cette vidéo , ( Costa Rica en 1080p x 60 fps en avc1 )
avec suivi htop en mini + info détail nerd de la video

https://www.youtube.com/watch?v=LXb3EKWsInQ
le quad processeur tourne a 50% , très peu de perte de synchro image < 10

la même chose sur AMD Ryzen 5600x / Nvidia 970 Gtx , je suis entre 12-15% avec quelques pics a 20%

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#6Messageil y a 1 mois

:bjr: tout le monde

238 paquets (1,25 Go) pour Kde et redémarrage sans soucis :bien
:merci: à tous ceux qui rendent ça possible forum y compris

Michel

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#7Messageil y a 1 mois

:salut:

Il faut maintenant avoir le réflexe de réinstaller qt5-styleplugins à chaque mise à jour de qt5. :triste:
Je crois que je vais l'intégrer dans mon alias de mise à jour :

alias maj='yay -Syu --repo && yay -S qt5-styleplugins && yay -Fy

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#8Messageil y a 1 mois

210 paquets, mise à jour rapide et sans souci.
Noyau 5.15.49-1 + XFCE
Merci !

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#9Messageil y a 1 mois

Smurf a écrit : il y a 1 mois:salut:

Il faut maintenant avoir le réflexe de réinstaller qt5-styleplugins à chaque mise à jour de qt5. :triste:
Je crois que je vais l'intégrer dans mon alias de mise à jour :

alias maj='yay -Syu --repo && yay -S qt5-styleplugins && yay -Fy
Tu as un souci avec quels paquets précisément?
Il y a ce topic à l'inter: https://forum.manjaro.org/t/howto-fix-c ... ary/114977

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#10Messageil y a 1 mois

imarco a écrit : il y a 1 mois Tu as un souci avec quels paquets précisément?
Il y a ce topic à l'inter: https://forum.manjaro.org/t/howto-fix-c ... ary/114977
Je suis dans la situation :
If you apply GTK2 style to Qt applications

You need to rebuild it yourself after each Qt update.

pamac build qt5-styleplugins
J'utilise le style GTK2 pour mes applis QT, c'est ce qui leur donne un look le plus proche des applis GTK, je trouve. Le style GTK2 est fourni par le paquet qt5-styleplugins, celui-ci étant dans AUR, quand qt5-base est mis à jour dans les dépôts officiels, le paquet qt5-styleplugins doit être reconstruit pour ne pas avoir une version de retard, sinon les applis QT plantent au démarrage sur une erreur de versions différentes.

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#11Messageil y a 1 mois

Ok. :wink:

Je ne dois pas en utiliser je pense car je n'ai pas de message d'erreur.

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#12Messageil y a 1 mois

Sous Mate deux pc dont un Mac mis à jour ... RAS !

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#13Messageil y a 1 mois

Bonjour @ toutes et tous, tout s'est bien passé sous Kde. :clap

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#14Messageil y a 1 mois

Bonjour, OK pour cette nouvelle maj sous KDE... :clap

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#15Messageil y a 1 mois

Smurf a écrit : il y a 1 mois:salut:

Il faut maintenant avoir le réflexe de réinstaller qt5-styleplugins à chaque mise à jour de qt5. :triste:
Je crois que je vais l'intégrer dans mon alias de mise à jour :

alias maj='yay -Syu --repo && yay -S qt5-styleplugins && yay -Fy
Merci pour le rappel Smurf. Ce problème récurant est assez chiant.
Je ne comprends pas la commande yay -Fy même avec la doc. Tu peux m'expliquer STP ?

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#16Messageil y a 1 mois

:bjr:
⋐ ʟ·ɪɴᴀᴅᴀᴩᴛé ⋑ a écrit : il y a 1 moisJe ne comprends pas la commande
Si tu ne comprends pas -Fy, tu peux ne pas l'intégrer, car tu n'en as pas besoin. :lol:


C'est pour télécharger une autre base donnée, plus volumineuse, avec les noms des fichiers inclus dans les paquets.
le -F est pour "File" (c'est une commande pacman et pas véritablement yay)
Cela ne sert que si nous faisons des recherches par nom de fichier sur les paquets non installés !
Utile si on nous donne une commande non disponible sur notre machine et que le paquet (avec le même nom) n'existe pas.

pacman -Fx 'cross-env'    # fichier avec entre autre ces lettres

pacman -F vlc    # fichier exact
Et pacman -Fl nom_paquet qui est l'équivalent de pacman -Ql nom_paquet. Avec -F, le paquet n'a pas à être installé (contrairement à -Q)

pacman -Fh
utilisation :  pacman {-F --files} [options ] [fichier(s)]
options :
  -l, --list               liste les fichiers appartenant au paquet interrogé
  -q, --quiet              affiche moins d’informations
  -x, --regex              active la recherche en utilisant des expressions régulières
  -y, --refresh            met à jour les bases de données depuis le serveur
                           (-yy pour forcer une mise à jour des données à jour)

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#17Messageil y a 1 mois

Ok, je comprends.
Et en effet j'en ai pas besoin (pour l'instant) :sourire:

Merci @papajoke ;)

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#18Messageil y a 1 mois

Bonsoir,

MAJ de 404 paquets sous KDE. Redemarrage RAS.

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#19Messageil y a 1 mois

mise à jour KDE (1,3 go) sans aucun problème
:bien

[Stable] Mise à jour 24/06/2022 - Kernels, KDE Frameworks, Cinnamon 5.4, Qt5, Gstreamer, Haskell, Python

#20Messageil y a 1 mois

Salut à tous,

Suite à cette dernière mise à jour, plusieurs logiciels ne peuvent pas se lancer pour la même raison :

$ code
/usr/lib/electron17/electron: error while loading shared libraries: libSvtAv1Enc.so.0: cannot open shared object file: No such file or directory
$ strawberry
strawberry: error while loading shared libraries: libSvtAv1Enc.so.0: cannot open shared object file: No such file or directory
J'ai réinstallé svt-av1 et svt-hevc mais ça n'a rien changé.
Est-ce que quelqu'un sait quoi faire dans ce cas là ?
Répondre